#!/usr/bin/perl

use strict;
use warnings;

my %symbols;

foreach (<STDIN>) {
  chomp;
  if (m/^Valid data at offset 0x[\d\w]+: (.*)/) {
    $symbols{$1}++;
  }
}

foreach (keys(%symbols)) {
  if ($symbols{$_} > 1) {
    print "$_: $symbols{$_}\n";
  }
}
